Page MenuHomePhabricator

Create a generic "Release" tag in Phabricator
Closed, ResolvedPublic

Description

Name: "Release"
Description: "identifies a task as a release"
Type of project "Release"

Rationale:
Creating a new project for every release is ok, but sometimes feels like more than we need. Especially for minor releases. Also only those with privileges can create new release tickets, so this burden falls on the same people each release.

It would be nice to have a "Release" tag, that is just like the "Epic" and "Bug" tags… it just identifies the type of task that the ticket is. Then we can take a more ad hoc / agile approach to our releases.

This might also encourage more people to tag releases.

Thanks for reading!

Event Timeline

Fjalapeno updated the task description. (Show Details)
Fjalapeno raised the priority of this task from to Needs Triage.
Fjalapeno added a project: Project-Admins.
Fjalapeno added a subscriber: Fjalapeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 10:02 PM

Could you elaborate which existing problem you would like to solve?
Why is it currently insufficient to create a task "Release KitchenSink 9.87.6 tarball" and associate it to your software or team project?

CC'ing Team-Practices as I wonder if other teams face similar issues.

(Note that we have a https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Type_of_project release type 'project' but that's of course not the same.)

just like the "Epic" and "Bug" tags [...]
This might also encourage more people to tag releases.

Could you elaborate what you mean by "tagging releases" and where?
Note that the "Epic" tag is already not applied consistently, so adding more projects and tags does not necessarily come along with acceptance. And the "Bug" tag is archived and has never been used...

Aklapper renamed this task from Create a generic "Release" to Create a generic "Release" tag in Phabricator.May 15 2015, 7:06 AM
Aklapper set Security to None.

@Aklapper We would like a tag to identify a task which represents a Release. (The same as we would use an "Epic" tag to identify an Epic)

However, we don't want / need to a new tag for each release. We only use a task to track a release. (We also don't want the administrative overhead of creating a new tag/project for each bi-weekly release)

For example, we would like to add a "Release" tag to this task:
T99019

Does this make sense?

ggellerman added a subscriber: ggellerman.

+RelEng
Given the proposed use of the term "Release" adding RelEng so that they can wait in.

No objections from me.

Aklapper closed this task as Resolved.
Aklapper claimed this task.

Thanks.
Requested project Release has been created: https://phabricator.wikimedia.org/project/profile/1333/

Enjoy!

greg added a subscriber: greg.Jun 24 2015, 8:32 PM

Heh, yeah, no objections from me, either thankfully :)

Great - thanks!

greg moved this task from To Triage to Done on the Release-Engineering-Team board.Jul 28 2015, 8:37 PM